RFADMIN(8)

NAME
rfadmin - RFS domain administration

SYNOPSIS
rfadmin
rfadmin -p
rfadmin -a hostname
rfadmin -r hostname

AVAILABILITY

This program is available with the RFS software installation option. Refer to for information on how to install optional software.

DESCRIPTION

rfadmin is used to add and remove hosts and their associated authentication information from a domain/passwd file on a Remote File Sharing (RFS) primary domain name server. It is also used to transfer domain name server responsibilities from one machine to another. Used with no options, rfadmin returns the hostname of the current domain name server for the local domain. For each domain, /usr/nserve/auth.info/domain/passwd is created on the primary, and should be copied to all secondaries, and all hosts that want to do password verification of hosts in the domain.

rfadmin can only be used to modify domain files on the primary domain name server (-a and -r options). If domain name server reponsibilities are temporarily passed to a secondary domain name server, that computer can use the -p option to pass domain name server responsibility back to the primary. Any host can use rfadmin with no options to print information about the domain. The user must have root permissions to use the command.

Using rfadmin with the -a option, will result in an error if hostname is not unique in the domain.

Using rfadmin with the -r option, will send an error to the standard error if one of the following is true:

    •   hostname does not exist in the domain.

    •   hostname is defined as a domain name server.

    •   There are resources advertised by hostname.

When used with the -p option, rfadmin sends an error message to standard error, if there are no backup name servers defined for domain.

OPTIONS

-p  Pass the domain name server responsibilities back to a primary or to a secondary name server.

-a hostname
    Add a host to a domain that is served by this domain name server. hostname must be of the form domain.nodename. Create an entry for hostname in the domain/passwd file, which has the same format as /etc/passwd, and prompt for an initial authentication password; the password prompting process conforms with that of passwd(1).

-r hostname
    Remove a host from its domain by removing it from the domain/passwd file.

FILES
/usr/nserve/auth.info/domain/passwd

SEE ALSO
passwd(1), mount(8), rfstart(8), rfstop(8)